<style include="diagnostics-shared">
</style>

<diagnostics-card hide-data-points="true">
  <div id="cardTitle" slot="title">[[i18n('memoryTitle')]]</div>
  <iron-icon slot="icon" icon="cr:add"></iron-icon>
  <percent-bar-chart slot="left-panel"
    header="[[getAvailableMemory_(memoryUsage_)]]"
    value="[[getTotalUsedMemory_(memoryUsage_)]]"
    max="[[memoryUsage_.totalMemoryKib]]">
  </percent-bar-chart>
  <routine-section slot="routines" routines="[[routines_]]"
    is-test-running="{{isTestRunning}}"
    run-tests-button-text="[[i18n('runMemoryTestText')]]">
  </routine-section>
</diagnostics-card>
